> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.feedonomics.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.feedonomics.com/_mcp/server.

# Delete Records

DELETE https://ebs.feedonomics.com/catalog/rest.php/db/{db_id}
Content-Type: application/json

Delete the provided record(s) in the database.

Reference: https://docs.feedonomics.com/developer/api-reference/rest/event-driven-sync-api-edrts/data-operations/edrts-delete

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `db_id` (integer, required) — Unique ID of the database

### Body (application/json)

This endpoint expects a list of string.

- `list of string`

## Response

### 202

Accepted - Request Queued

- `status` (string, optional, default: success) — API response status.
- `data` (DataDeleteQueuedResponseData, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `status` (string, optional, default: fail) — API response status.
- `message` (string, optional) — Error code.
- `data` (list of BadRequestErrorDataItems, optional) — Additional error detail, if applicable.

### 403 Forbidden Error

Access Denied / Authentication Failure

- `status` (string, optional, default: fail) — API response status.
- `message` (string, optional) — Error code.
- `data` (list of AccessDeniedErrorDataItems, optional) — Additional error detail, if applicable.

### 502 Bad Gateway Error

HTTPS request is missing required headers

- `status` (string, optional) — API response status.
- `message` (string, optional) — Error code.
- `data` (MissingHeaderErrorData, optional)

### 500 Server Error

Internal Server Error

- `any`

## Types

### DataDeleteQueuedResponseData

- `sku_count` (integer, optional) — Count of records deleted as a result from DELETE request.
- `batches` (list of DataDeleteQueuedResponseDataBatchesItems, optional)

### BadRequestErrorDataItems

### AccessDeniedErrorDataItems

### MissingHeaderErrorData

- `details` (string, optional) — Description of error message.
- `headers` (MissingHeaderErrorDataHeaders, optional) — Array of provided headers in the HTTP request.

### DataDeleteQueuedResponseDataBatchesItems

- `db_id` (integer, optional) — Unique ID of the database.
- `correlation_id` (string, optional) — Unique ID assigned to the request's associated job.
- `batch_index` (integer, optional, default: 0) — Batch number index for the job correlation id.
- `status` (string, optional, default: queued) — Current job status; will be "queued" for HTTP 202.

### MissingHeaderErrorDataHeaders

Array of provided headers in the HTTP request.

- `cookie` (string, optional)
- `content-type` (string, optional)
- `postman-token` (string, optional)
- `host` (string, optional)
- `content-length` (string, optional)

## Examples

**Request**

```json
[
  "a1",
  "a5",
  "a9"
]
```

**Response**

```json
{
  "status": "success",
  "data": {
    "sku_count": 0,
    "batches": [
      {
        "db_id": 102345,
        "correlation_id": "1428ebcf7cdfd213",
        "batch_index": 0,
        "status": "queued"
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://ebs.feedonomics.com/catalog/rest.php/db/102345"

payload = ["a1", "a5", "a9"]
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://ebs.feedonomics.com/catalog/rest.php/db/102345';
const options = {
  method: 'DELETE',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '["a1","a5","a9"]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://ebs.feedonomics.com/catalog/rest.php/db/102345"

	payload := strings.NewReader("[\n  \"a1\",\n  \"a5\",\n  \"a9\"\n]")

	req, _ := http.NewRequest("DELETE", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://ebs.feedonomics.com/catalog/rest.php/db/102345")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "[\n  \"a1\",\n  \"a5\",\n  \"a9\"\n]"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://ebs.feedonomics.com/catalog/rest.php/db/102345")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("[\n  \"a1\",\n  \"a5\",\n  \"a9\"\n]")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://ebs.feedonomics.com/catalog/rest.php/db/102345', [
  'body' => '[
  "a1",
  "a5",
  "a9"
]',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://ebs.feedonomics.com/catalog/rest.php/db/102345");
var request = new RestRequest(Method.DELETE);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  \"a1\",\n  \"a5\",\n  \"a9\"\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["a1", "a5", "a9"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://ebs.feedonomics.com/catalog/rest.php/db/102345")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```